[Rivet-svn] r2630 - trunk/test

blackhole at projects.hepforge.org blackhole at projects.hepforge.org
Fri Jul 30 20:24:45 BST 2010


Author: buckley
Date: Fri Jul 30 20:24:45 2010
New Revision: 2630

Log:
Tests working again... phew

Modified:
   trunk/test/Makefile.am
   trunk/test/testApi.cc
   trunk/test/testCmdLine.sh

Modified: trunk/test/Makefile.am
==============================================================================
--- trunk/test/Makefile.am	Fri Jul 30 19:52:47 2010	(r2629)
+++ trunk/test/Makefile.am	Fri Jul 30 20:24:45 2010	(r2630)
@@ -25,3 +25,6 @@
 TESTS = testMatVec testBoost testCmp testApi testCmdLine.sh
 
 EXTRA_DIST = testApi.hepmc testCmdLine.sh
+
+clean-local:
+	@rm -f out.aida log a.out fifo.hepmc file2.hepmc

Modified: trunk/test/testApi.cc
==============================================================================
--- trunk/test/testApi.cc	Fri Jul 30 19:52:47 2010	(r2629)
+++ trunk/test/testApi.cc	Fri Jul 30 20:24:45 2010	(r2630)
@@ -13,8 +13,11 @@
   Rivet::AnalysisHandler rivet;
 
   // Specify the analyses to be used
-  rivet.addAnalysis("D0_2008_S7554427");
-  vector<string> moreanalyses(1, "D0_2007_S7075677");
+  rivet.addAnalysis("EXAMPLE");
+  // rivet.addAnalysis("D0_2008_S7554427");
+
+  //vector<string> moreanalyses(1, "D0_2007_S7075677");
+  vector<string> moreanalyses(1, "MC_JETS");
   rivet.addAnalyses(moreanalyses);
 
   // Initialise: obsolete, but allowed for compatibility
@@ -38,7 +41,7 @@
   rivet.setCrossSection(1.0);
   rivet.setSumOfWeights(sum_of_weights); //< Not necessary, but allowed
   rivet.finalize();
-  rivet.writeData("out");
+  rivet.writeData("out.aida");
 
   return 0;
 }

Modified: trunk/test/testCmdLine.sh
==============================================================================
--- trunk/test/testCmdLine.sh	Fri Jul 30 19:52:47 2010	(r2629)
+++ trunk/test/testCmdLine.sh	Fri Jul 30 20:24:45 2010	(r2630)
@@ -6,6 +6,14 @@
 fi
 export PYTHONPATH=$(ls -d $PYTHON_BUILD_DIR/lib.*):$PYTHONPATH
 
+#echo PYTHONPATH=$PYTHONPATH \
+#    PYTHON_BUILD_DIR=$PYTHON_BUILD_DIR \
+#    LD_LIBRARY_PATH=$LD_LIBRARY_PATH \
+#    PATH=$PATH \
+#    RIVET_REF_PATH=$RIVET_REF_PATH \
+#    RIVET_INFO_PATH=$RIVET_INFO_PATH \
+#    RIVET_ANALYSIS_PATH=$RIVET_ANALYSIS_PATH
+
 
 function _clean() {
     rm -f fifo.hepmc
@@ -29,6 +37,8 @@
 
 _setup
 
+rivet --list-analyses > log || exit $?
+
 rivet -a D0_2008_S7554427 testApi.hepmc file2.hepmc > log || exit $?
 grep -q "20 events" log
 _check


More information about the Rivet-svn mailing list